أنت هنا

صدور تحديث للغة php 5.3.27

الكاتب : admin | 07/12/2013 |

بسم الله الرحمن الرحيم وبه نستعين ...

تم خلالها اصلاح 10 اخطاء منها امنيه وهي الخاصه بمكتبة security fix in the XML parser وهذه الاخطاء اللي تم اصلاحها

  • Core:
    • Fixed bug #64966 (segfault in zend_do_fcall_common_helper_SPEC).
    • Fixed bug #64960 (Segfault in gc_zval_possible_root).
    • Fixed bug #64934 (Apache2 TS crash with get_browser()).
    • Fixed bug #63186 (compile failure on netbsd).
  • DateTime:
    • Fixed bug #53437 (Crash when using unserialized DatePeriod instance).
  • PDO_firebird:
    • Fixed bug #64037 (Firebird return wrong value for numeric field).
    • Fixed bug #62024 (Cannot insert second row with null using parametrized query).
  • PDO_pgsql:
    • Fixed bug #64949 (Buffer overflow in _pdo_pgsql_error).
  • pgsql:
    • Fixed bug #64609 (pg_convert enum type support).
  • SPL:
    • Fixed bug #64997 (Segfault while using RecursiveIteratorIterator on 64-bits systems).
  • XML:
    • Fixed bug #65236 (heap corruption in xml parser).

صدق ظننا في الخبر السابقه صدور تحديث للغة php 5.4.17 بخصوص وجود شيئ في اخراق اصدار يتيم ان جاز التعبير :) على خلاف ما كان دارج من مطورين لغة php خاصه في الاصدارات كانت تخرج مباشره الاصدارين 5.4 و 5.3 والخبر :

انتهاء دعم الاصدار 5.3 خلال السنه هذي وتركيزهم على الاصدارين 5.4 و 5.4 فقط اما الاصدار السابقه 5.3 مجرد اخراج ترقيع للثغرات الامنيه واصلاح الاخطاء وهذا دليل كبير على اهمية نقل البرمجيات الى الاصدار الحديث 5.4 على الاقل حالياً وعلى المبرمجين التعامل معها وحتى المبتدئين يجب تعلم الاصدار الاخير حتى يحترفون ان شاء الله اللغه

الترقيه هذي اجباريه لوجود ثغره تم اصلاحها ننتظر خروجها الى لوحة تحكم المواقع السيبنل حتى نحدث الموضوع ان شاء الله

هذا وصلى الله وسلم على نبينا محمد وعلى اله وصحبه وسلم تسليماً كثيرا

القسم :

Tags: